Summary: color X11 version of hextris 
Name: cxhextris
Version: 1.0
Release: 12
Copyright: distributable
Group: X11/Games/Video
Source: ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/cxhextris.tar.z
Source1: cxhextris.wmconfig
Patch0: cxhextris-config.patch
Patch1: cxhextris-axp.patch
Patch2: cxhextris-security.patch
Prereq: /usr/X11R6/bin/mkfontdir
BuildRoot: /var/tmp/cxhextris-root
Summary(de): Farbige X11-Version von Hextris
Summary(fr): Version X11 en couleurs d'hextris
Summary(tr): Den bloklar yerletirme oyunu

%description
cxhextrix is a color version of the popular hextris.  Both are
a close of the popular T*tris video game, a game where one must
try to stack odd shaped blocks together perfectly.  This game
requires X Windows to work properly.

%description -l de
cxhextrix ist eine Farbversion des populren hextris, beides nahe 
Verwandte des klassischen T*tris Video-Games, bei dem unregelmig 
geformte Blcke perfekt aufeinander gestapelt werden mssen. 
Voraussetzung ist, da X-Windows korrekt funktioniert.

%description -l fr
cxhextrix est une version en couleurs du clbre hextris. Tous deux
sont des clones du clbre jeu vido T*tris, o l'on doit essayer
d'empiler parfaitement des blocs avec des formes curieuses. Ce jeu
ncessite X Window pour fonctionner correctement.

%description -l tr
cxhextrix, hextris'in renkli srmdr. Her ikisi de, garip ekilli bloklarn
- arada boluk braklmadan - bir yn haline getirilmeye alld Tetris
oyununa benzer.

%prep
%setup -q -n cxhextris
%patch -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
make FONTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts install.font

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/wmconfig
  install -m 644 $RPM_SOURCE_DIR/cxhextris.wmconfig ./etc/X11/wmconfig/cxhextris
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)

%postun
(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)

%files
%defattr(-,root,root)
%doc README README.Linux
%attr(4755,games,games)	/usr/X11R6/bin/xhextris
/usr/X11R6/lib/X11/fonts/misc/hex20.pcf
%attr(-,games,games)	/var/lib/games/xhextris-scores
/etc/X11/wmconfig/cxhextris

%changelog
* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- fixed the wmconfig entry

* Sat May  2 1998 Alan Cox <alan@redhat.com>
- buffer overrun fixed. General restructure to avoid running setuid except
  during the first moments of initialisation.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
